package p.studio.compiler.pbs.stdlib;

import p.studio.utilities.structures.ReadOnlyList;

import java.util.Optional;

public final class EmptyStdlibEnvironmentResolver implements StdlibEnvironmentResolver {
    private static final StdlibEnvironment EMPTY = new StdlibEnvironment() {
        @Override
        public Optional<StdlibModuleSource> resolveModule(
                final String project,
                final ReadOnlyList<String> pathSegments) {
            return Optional.empty();
        }
    };

    @Override
    public StdlibEnvironment resolve(final int stdlibVersion) {
        return EMPTY;
    }
}

